Package org.eclipse.emf.cdo.eresource

## Interface EresourcePackage

- All Superinterfaces:
    `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `EresourcePackageImpl`

      public interface EresourcePackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the Eresource model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `EresourceFactory`
  Generated
  Model
    kind="package"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `EresourcePackage.Literals` | Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CDO_BINARY_RESOURCE` | The meta object id for the '`CDO Binary Resource`' class.
    `static int` | `CDO_BINARY_RESOURCE__CONTENTS` | The feature id for the 'Contents' attribute.
    `static int` | `CDO_BINARY_RESOURCE__FOLDER` | The feature id for the 'Folder' container reference.
    `static int` | `CDO_BINARY_RESOURCE__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CDO_BINARY_RESOURCE__PATH` | The feature id for the 'Path' attribute.
    `static int` | `CDO_BINARY_RESOURCE_FEATURE_COUNT` | The number of structural features of the 'CDO Binary Resource' class.
    `static int` | `CDO_FILE_RESOURCE` | The meta object id for the '`CDO File Resource`' class.
    `static int` | `CDO_FILE_RESOURCE__FOLDER` | The feature id for the 'Folder' container reference.
    `static int` | `CDO_FILE_RESOURCE__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CDO_FILE_RESOURCE__PATH` | The feature id for the 'Path' attribute.
    `static int` | `CDO_FILE_RESOURCE_FEATURE_COUNT` | The number of structural features of the 'CDO File Resource' class.
    `static int` | `CDO_RESOURCE` | The meta object id for the '`CDO Resource`' class.
    `static int` | `CDO_RESOURCE__CONTENTS` | The feature id for the 'Contents' containment reference list.
    `static int` | `CDO_RESOURCE__ERRORS` | The feature id for the 'Errors' attribute list.
    `static int` | `CDO_RESOURCE__FOLDER` | The feature id for the 'Folder' container reference.
    `static int` | `CDO_RESOURCE__LOADED` | The feature id for the 'Loaded' attribute.
    `static int` | `CDO_RESOURCE__MODIFIED` | The feature id for the 'Modified' attribute.
    `static int` | `CDO_RESOURCE__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CDO_RESOURCE__PATH` | The feature id for the 'Path' attribute.
    `static int` | `CDO_RESOURCE__RESOURCE_SET` | The feature id for the 'Resource Set' attribute.
    `static int` | `CDO_RESOURCE__TIME_STAMP` | The feature id for the 'Time Stamp' attribute.
    `static int` | `CDO_RESOURCE__TRACKING_MODIFICATION` | The feature id for the 'Tracking Modification' attribute.
    `static int` | `CDO_RESOURCE__URI` | The feature id for the 'URI' attribute.
    `static int` | `CDO_RESOURCE__WARNINGS` | The feature id for the 'Warnings' attribute list.
    `static int` | `CDO_RESOURCE_FEATURE_COUNT` | The number of structural features of the 'CDO Resource' class.
    `static int` | `CDO_RESOURCE_FOLDER` | The meta object id for the '`CDO Resource Folder`' class.
    `static int` | `CDO_RESOURCE_FOLDER__FOLDER` | The feature id for the 'Folder' container reference.
    `static int` | `CDO_RESOURCE_FOLDER__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CDO_RESOURCE_FOLDER__NODES` | The feature id for the 'Nodes' containment reference list.
    `static int` | `CDO_RESOURCE_FOLDER__PATH` | The feature id for the 'Path' attribute.
    `static int` | `CDO_RESOURCE_FOLDER_FEATURE_COUNT` | The number of structural features of the 'CDO Resource Folder' class.
    `static int` | `CDO_RESOURCE_LEAF` | The meta object id for the '`CDO Resource Leaf`' class.
    `static int` | `CDO_RESOURCE_LEAF__FOLDER` | The feature id for the 'Folder' container reference.
    `static int` | `CDO_RESOURCE_LEAF__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CDO_RESOURCE_LEAF__PATH` | The feature id for the 'Path' attribute.
    `static int` | `CDO_RESOURCE_LEAF_FEATURE_COUNT` | The number of structural features of the 'CDO Resource Leaf' class.
    `static int` | `CDO_RESOURCE_NODE` | The meta object id for the '`CDO Resource Node`' class.
    `static int` | `CDO_RESOURCE_NODE__FOLDER` | The feature id for the 'Folder' container reference.
    `static int` | `CDO_RESOURCE_NODE__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CDO_RESOURCE_NODE__PATH` | The feature id for the 'Path' attribute.
    `static int` | `CDO_RESOURCE_NODE_FEATURE_COUNT` | The number of structural features of the 'CDO Resource Node' class.
    `static int` | `CDO_TEXT_RESOURCE` | The meta object id for the '`CDO Text Resource`' class.
    `static int` | `CDO_TEXT_RESOURCE__CONTENTS` | The feature id for the 'Contents' attribute.
    `static int` | `CDO_TEXT_RESOURCE__ENCODING` | The feature id for the 'Encoding' attribute.
    `static int` | `CDO_TEXT_RESOURCE__FOLDER` | The feature id for the 'Folder' container reference.
    `static int` | `CDO_TEXT_RESOURCE__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CDO_TEXT_RESOURCE__PATH` | The feature id for the 'Path' attribute.
    `static int` | `CDO_TEXT_RESOURCE_FEATURE_COUNT` | The number of structural features of the 'CDO Text Resource' class.
    `static int` | `DIAGNOSTIC` | The meta object id for the 'Diagnostic' data type.
    `static EresourcePackage` | `eINSTANCE` | The singleton instance of the package.
    `static java.lang.String` | `eNAME` | The package name.
    `static java.lang.String` | `eNS_PREFIX` | The package namespace name.
    `static java.lang.String` | `eNS_URI` | The package namespace URI.
    `static int` | `RESOURCE_SET` | The meta object id for the 'Resource Set' data type.
    `static int` | `URI` | The meta object id for the 'URI' data type.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EClass` | `getCDOBinaryResource()` | Returns the meta object for class '`CDO Binary Resource`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOBinaryResource_Contents()` | Returns the meta object for the attribute '`Contents`'.
    `org.eclipse.emf.ecore.EClass` | `getCDOFileResource()` | Returns the meta object for class '`CDO File Resource`'.
    `org.eclipse.emf.ecore.EClass` | `getCDOResource()` | Returns the meta object for class '`CDO Resource`'.
    `org.eclipse.emf.ecore.EReference` | `getCDOResource_Contents()` | Returns the meta object for the containment reference list '`Contents`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Errors()` | Returns the meta object for the attribute list '`Errors`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Loaded()` | Returns the meta object for the attribute '`Loaded`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Modified()` | Returns the meta object for the attribute '`Modified`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_ResourceSet()` | Returns the meta object for the attribute '`Resource Set`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_TimeStamp()` | Returns the meta object for the attribute '`Time Stamp`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_TrackingModification()` | Returns the meta object for the attribute '`Tracking Modification`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_URI()` | Returns the meta object for the attribute '`URI`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Warnings()` | Returns the meta object for the attribute list '`Warnings`'.
    `org.eclipse.emf.ecore.EClass` | `getCDOResourceFolder()` | Returns the meta object for class '`CDO Resource Folder`'.
    `org.eclipse.emf.ecore.EReference` | `getCDOResourceFolder_Nodes()` | Returns the meta object for the containment reference list '`Nodes`'.
    `org.eclipse.emf.ecore.EClass` | `getCDOResourceLeaf()` | Returns the meta object for class '`CDO Resource Leaf`'.
    `org.eclipse.emf.ecore.EClass` | `getCDOResourceNode()` | Returns the meta object for class '`CDO Resource Node`'.
    `org.eclipse.emf.ecore.EReference` | `getCDOResourceNode_Folder()` | Returns the meta object for the container reference '`Folder`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResourceNode_Name()` | Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResourceNode_Path()` | Returns the meta object for the attribute '`Path`'.
    `org.eclipse.emf.ecore.EClass` | `getCDOTextResource()` | Returns the meta object for class '`CDO Text Resource`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOTextResource_Contents()` | Returns the meta object for the attribute '`Contents`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCDOTextResource_Encoding()` | Returns the meta object for the attribute '`Encoding`'.
    `org.eclipse.emf.ecore.EDataType` | `getDiagnostic()` | Returns the meta object for data type '`Diagnostic`'.
    `EresourceFactory` | `getEresourceFactory()` | Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EDataType` | `getResourceSet()` | Returns the meta object for data type '`Resource Set`'.
    `org.eclipse.emf.ecore.EDataType` | `getURI()` | Returns the meta object for data type '`URI`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final EresourcePackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### CDO_RESOURCE_NODE

          static final int CDO_RESOURCE_NODE

      The meta object id for the '`CDO Resource Node`' class.
      See Also:
        `CDOResourceNodeImpl`, `EresourcePackageImpl.getCDOResourceNode()`, Constant Field Values
      Generated

    - #### CDO_RESOURCE_NODE__FOLDER

          static final int CDO_RESOURCE_NODE__FOLDER

      The feature id for the 'Folder' container reference.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_NODE__NAME

          static final int CDO_RESOURCE_NODE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_NODE__PATH

          static final int CDO_RESOURCE_NODE__PATH

      The feature id for the 'Path' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_NODE_FEATURE_COUNT

          static final int CDO_RESOURCE_NODE_FEATURE_COUNT

      The number of structural features of the 'CDO Resource Node' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_FOLDER

          static final int CDO_RESOURCE_FOLDER

      The meta object id for the '`CDO Resource Folder`' class.
      See Also:
        `CDOResourceFolderImpl`, `EresourcePackageImpl.getCDOResourceFolder()`, Constant Field Values
      Generated

    - #### CDO_RESOURCE_FOLDER__FOLDER

          static final int CDO_RESOURCE_FOLDER__FOLDER

      The feature id for the 'Folder' container reference.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_FOLDER__NAME

          static final int CDO_RESOURCE_FOLDER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_FOLDER__PATH

          static final int CDO_RESOURCE_FOLDER__PATH

      The feature id for the 'Path' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_FOLDER__NODES

          static final int CDO_RESOURCE_FOLDER__NODES

      The feature id for the 'Nodes' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_FOLDER_FEATURE_COUNT

          static final int CDO_RESOURCE_FOLDER_FEATURE_COUNT

      The number of structural features of the 'CDO Resource Folder' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_LEAF

          static final int CDO_RESOURCE_LEAF

      The meta object id for the '`CDO Resource Leaf`' class.
      Since:
        4.1
      See Also:
        `CDOResourceLeafImpl`, `EresourcePackageImpl.getCDOResourceLeaf()`, Constant Field Values
      Generated
        NOT

    - #### CDO_RESOURCE_LEAF__FOLDER

          static final int CDO_RESOURCE_LEAF__FOLDER

      The feature id for the 'Folder' container reference.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_LEAF__NAME

          static final int CDO_RESOURCE_LEAF__NAME

      The feature id for the 'Name' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_LEAF__PATH

          static final int CDO_RESOURCE_LEAF__PATH

      The feature id for the 'Path' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_LEAF_FEATURE_COUNT

          static final int CDO_RESOURCE_LEAF_FEATURE_COUNT

      The number of structural features of the 'CDO Resource Leaf' class.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE

          static final int CDO_RESOURCE

      The meta object id for the '`CDO Resource`' class.
      See Also:
        `CDOResourceImpl`, `EresourcePackageImpl.getCDOResource()`, Constant Field Values
      Generated

    - #### CDO_RESOURCE__FOLDER

          static final int CDO_RESOURCE__FOLDER

      The feature id for the 'Folder' container reference.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__NAME

          static final int CDO_RESOURCE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__PATH

          static final int CDO_RESOURCE__PATH

      The feature id for the 'Path' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__RESOURCE_SET

          static final int CDO_RESOURCE__RESOURCE_SET

      The feature id for the 'Resource Set' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__URI

          static final int CDO_RESOURCE__URI

      The feature id for the 'URI' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__CONTENTS

          static final int CDO_RESOURCE__CONTENTS

      The feature id for the 'Contents' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__MODIFIED

          static final int CDO_RESOURCE__MODIFIED

      The feature id for the 'Modified' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__LOADED

          static final int CDO_RESOURCE__LOADED

      The feature id for the 'Loaded' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__TRACKING_MODIFICATION

          static final int CDO_RESOURCE__TRACKING_MODIFICATION

      The feature id for the 'Tracking Modification' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__ERRORS

          static final int CDO_RESOURCE__ERRORS

      The feature id for the 'Errors' attribute list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__WARNINGS

          static final int CDO_RESOURCE__WARNINGS

      The feature id for the 'Warnings' attribute list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE__TIME_STAMP

          static final int CDO_RESOURCE__TIME_STAMP

      The feature id for the 'Time Stamp' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_RESOURCE_FEATURE_COUNT

          static final int CDO_RESOURCE_FEATURE_COUNT

      The number of structural features of the 'CDO Resource' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_FILE_RESOURCE

          static final int CDO_FILE_RESOURCE

      The meta object id for the '`CDO File Resource`' class.
      Since:
        4.1
      See Also:
        `CDOFileResourceImpl`, `EresourcePackageImpl.getCDOFileResource()`, Constant Field Values
      Generated
        NOT

    - #### CDO_FILE_RESOURCE__FOLDER

          static final int CDO_FILE_RESOURCE__FOLDER

      The feature id for the 'Folder' container reference.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_FILE_RESOURCE__NAME

          static final int CDO_FILE_RESOURCE__NAME

      The feature id for the 'Name' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_FILE_RESOURCE__PATH

          static final int CDO_FILE_RESOURCE__PATH

      The feature id for the 'Path' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_FILE_RESOURCE_FEATURE_COUNT

          static final int CDO_FILE_RESOURCE_FEATURE_COUNT

      The number of structural features of the 'CDO File Resource' class.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_BINARY_RESOURCE

          static final int CDO_BINARY_RESOURCE

      The meta object id for the '`CDO Binary Resource`' class.
      Since:
        4.1
      See Also:
        `CDOBinaryResourceImpl`, `EresourcePackageImpl.getCDOBinaryResource()`, Constant Field Values
      Generated
        NOT

    - #### CDO_BINARY_RESOURCE__FOLDER

          static final int CDO_BINARY_RESOURCE__FOLDER

      The feature id for the 'Folder' container reference.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_BINARY_RESOURCE__NAME

          static final int CDO_BINARY_RESOURCE__NAME

      The feature id for the 'Name' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_BINARY_RESOURCE__PATH

          static final int CDO_BINARY_RESOURCE__PATH

      The feature id for the 'Path' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_BINARY_RESOURCE__CONTENTS

          static final int CDO_BINARY_RESOURCE__CONTENTS

      The feature id for the 'Contents' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_BINARY_RESOURCE_FEATURE_COUNT

          static final int CDO_BINARY_RESOURCE_FEATURE_COUNT

      The number of structural features of the 'CDO Binary Resource' class.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_TEXT_RESOURCE

          static final int CDO_TEXT_RESOURCE

      The meta object id for the '`CDO Text Resource`' class.
      Since:
        4.1
      See Also:
        `CDOTextResourceImpl`, `EresourcePackageImpl.getCDOTextResource()`, Constant Field Values
      Generated
        NOT

    - #### CDO_TEXT_RESOURCE__FOLDER

          static final int CDO_TEXT_RESOURCE__FOLDER

      The feature id for the 'Folder' container reference.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_TEXT_RESOURCE__NAME

          static final int CDO_TEXT_RESOURCE__NAME

      The feature id for the 'Name' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_TEXT_RESOURCE__PATH

          static final int CDO_TEXT_RESOURCE__PATH

      The feature id for the 'Path' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_TEXT_RESOURCE__CONTENTS

          static final int CDO_TEXT_RESOURCE__CONTENTS

      The feature id for the 'Contents' attribute.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_TEXT_RESOURCE__ENCODING

          static final int CDO_TEXT_RESOURCE__ENCODING

      The feature id for the 'Encoding' attribute.
      Since:
        4.2
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### CDO_TEXT_RESOURCE_FEATURE_COUNT

          static final int CDO_TEXT_RESOURCE_FEATURE_COUNT

      The number of structural features of the 'CDO Text Resource' class.
      Since:
        4.1
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### RESOURCE_SET

          static final int RESOURCE_SET

      The meta object id for the 'Resource Set' data type.
      See Also:
        `ResourceSet`, `EresourcePackageImpl.getResourceSet()`, Constant Field Values
      Generated
        NOT

    - #### URI

          static final int URI

      The meta object id for the 'URI' data type.
      See Also:
        `URI`, `EresourcePackageImpl.getURI()`, Constant Field Values
      Generated
        NOT

    - #### DIAGNOSTIC

          static final int DIAGNOSTIC

      The meta object id for the 'Diagnostic' data type.
      See Also:
        `Resource.Diagnostic`, `EresourcePackageImpl.getDiagnostic()`, Constant Field Values
      Generated
        NOT

  - ### Method Detail

    - #### getCDOResourceNode

          org.eclipse.emf.ecore.EClass getCDOResourceNode()

      Returns the meta object for class '`CDO Resource Node`'.
      Returns:
        the meta object for class 'CDO Resource Node'.
      Since:
        2.0
      See Also:
        `CDOResourceNode`
      Generated

    - #### getCDOResourceNode_Folder

          org.eclipse.emf.ecore.EReference getCDOResourceNode_Folder()

      Returns the meta object for the container reference '`Folder`'.
      Returns:
        the meta object for the container reference 'Folder'.
      Since:
        2.0
      See Also:
        `CDOResourceNode.getFolder()`, `getCDOResourceNode()`
      Generated

    - #### getCDOResourceNode_Name

          org.eclipse.emf.ecore.EAttribute getCDOResourceNode_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      Since:
        2.0
      See Also:
        `CDOResourceNode.getName()`, `getCDOResourceNode()`
      Generated

    - #### getCDOResourceNode_Path

          org.eclipse.emf.ecore.EAttribute getCDOResourceNode_Path()

      Returns the meta object for the attribute '`Path`'.
      Returns:
        the meta object for the attribute 'Path'.
      Since:
        2.0
      See Also:
        `CDOResourceNode.getPath()`, `getCDOResourceNode()`
      Generated

    - #### getCDOResourceFolder

          org.eclipse.emf.ecore.EClass getCDOResourceFolder()

      Returns the meta object for class '`CDO Resource Folder`'.
      Returns:
        the meta object for class 'CDO Resource Folder'.
      Since:
        2.0
      See Also:
        `CDOResourceFolder`
      Generated

    - #### getCDOResourceFolder_Nodes

          org.eclipse.emf.ecore.EReference getCDOResourceFolder_Nodes()

      Returns the meta object for the containment reference list '`Nodes`'.
      Returns:
        the meta object for the containment reference list 'Nodes'.
      Since:
        2.0
      See Also:
        `CDOResourceFolder.getNodes()`, `getCDOResourceFolder()`
      Generated

    - #### getCDOResource

          org.eclipse.emf.ecore.EClass getCDOResource()

      Returns the meta object for class '`CDO Resource`'.
      Returns:
        the meta object for class 'CDO Resource'.
      See Also:
        `CDOResource`
      Generated

    - #### getCDOResource_ResourceSet

          org.eclipse.emf.ecore.EAttribute getCDOResource_ResourceSet()

      Returns the meta object for the attribute '`Resource Set`'.
      Returns:
        the meta object for the attribute 'Resource Set'.
      See Also:
        `CDOResource.getResourceSet()`, `getCDOResource()`
      Generated

    - #### getCDOResource_URI

          org.eclipse.emf.ecore.EAttribute getCDOResource_URI()

      Returns the meta object for the attribute '`URI`'.
      Returns:
        the meta object for the attribute 'URI'.
      See Also:
        `CDOResource.getURI()`, `getCDOResource()`
      Generated

    - #### getCDOResource_Contents

          org.eclipse.emf.ecore.EReference getCDOResource_Contents()

      Returns the meta object for the containment reference list '`Contents`'.
      Returns:
        the meta object for the containment reference list 'Contents'.
      See Also:
        `CDOResource.getContents()`, `getCDOResource()`
      Generated

    - #### getCDOResource_Modified

          org.eclipse.emf.ecore.EAttribute getCDOResource_Modified()

      Returns the meta object for the attribute '`Modified`'.
      Returns:
        the meta object for the attribute 'Modified'.
      See Also:
        `CDOResource.isModified()`, `getCDOResource()`
      Generated

    - #### getCDOResource_Loaded

          org.eclipse.emf.ecore.EAttribute getCDOResource_Loaded()

      Returns the meta object for the attribute '`Loaded`'.
      Returns:
        the meta object for the attribute 'Loaded'.
      See Also:
        `CDOResource.isLoaded()`, `getCDOResource()`
      Generated

    - #### getCDOResource_TrackingModification

          org.eclipse.emf.ecore.EAttribute getCDOResource_TrackingModification()

      Returns the meta object for the attribute '`Tracking Modification`'.
      Returns:
        the meta object for the attribute 'Tracking Modification'.
      See Also:
        `CDOResource.isTrackingModification()`, `getCDOResource()`
      Generated

    - #### getCDOResource_Errors

          org.eclipse.emf.ecore.EAttribute getCDOResource_Errors()

      Returns the meta object for the attribute list '`Errors`'.
      Returns:
        the meta object for the attribute list 'Errors'.
      See Also:
        `CDOResource.getErrors()`, `getCDOResource()`
      Generated

    - #### getCDOResource_Warnings

          org.eclipse.emf.ecore.EAttribute getCDOResource_Warnings()

      Returns the meta object for the attribute list '`Warnings`'.
      Returns:
        the meta object for the attribute list 'Warnings'.
      See Also:
        `CDOResource.getWarnings()`, `getCDOResource()`
      Generated

    - #### getCDOResource_TimeStamp

          org.eclipse.emf.ecore.EAttribute getCDOResource_TimeStamp()

      Returns the meta object for the attribute '`Time Stamp`'.
      Returns:
        the meta object for the attribute 'Time Stamp'.
      See Also:
        `CDOResource.getTimeStamp()`, `getCDOResource()`
      Generated

    - #### getCDOResourceLeaf

          org.eclipse.emf.ecore.EClass getCDOResourceLeaf()

      Returns the meta object for class '`CDO Resource Leaf`'.
      Returns:
        the meta object for class 'CDO Resource Leaf'.
      Since:
        4.1
      See Also:
        `CDOResourceLeaf`
      Generated

    - #### getCDOFileResource

          org.eclipse.emf.ecore.EClass getCDOFileResource()

      Returns the meta object for class '`CDO File Resource`'.
      Returns:
        the meta object for class 'CDO File Resource'.
      Since:
        4.1
      See Also:
        `CDOFileResource`
      Generated

    - #### getCDOBinaryResource

          org.eclipse.emf.ecore.EClass getCDOBinaryResource()

      Returns the meta object for class '`CDO Binary Resource`'.
      Returns:
        the meta object for class 'CDO Binary Resource'.
      Since:
        4.1
      See Also:
        `CDOBinaryResource`
      Generated

    - #### getCDOBinaryResource_Contents

          org.eclipse.emf.ecore.EAttribute getCDOBinaryResource_Contents()

      Returns the meta object for the attribute '`Contents`'.
      Returns:
        the meta object for the attribute 'Contents'.
      Since:
        4.1
      See Also:
        `CDOBinaryResource.getContents()`, `getCDOBinaryResource()`
      Generated

    - #### getCDOTextResource

          org.eclipse.emf.ecore.EClass getCDOTextResource()

      Returns the meta object for class '`CDO Text Resource`'.
      Returns:
        the meta object for class 'CDO Text Resource'.
      Since:
        4.1
      See Also:
        `CDOTextResource`
      Generated

    - #### getCDOTextResource_Contents

          org.eclipse.emf.ecore.EAttribute getCDOTextResource_Contents()

      Returns the meta object for the attribute '`Contents`'.
      Returns:
        the meta object for the attribute 'Contents'.
      Since:
        4.1
      See Also:
        `CDOTextResource.getContents()`, `getCDOTextResource()`
      Generated

    - #### getCDOTextResource_Encoding

          org.eclipse.emf.ecore.EAttribute getCDOTextResource_Encoding()

      Returns the meta object for the attribute '`Encoding`'.
      Returns:
        the meta object for the attribute 'Encoding'.
      Since:
        4.2
      See Also:
        `CDOTextResource.getEncoding()`, `getCDOTextResource()`
      Generated

    - #### getResourceSet

          org.eclipse.emf.ecore.EDataType getResourceSet()

      Returns the meta object for data type '`Resource Set`'.
      Returns:
        the meta object for data type 'Resource Set'.
      See Also:
        `ResourceSet`
      Generated
      Model
        instanceClass="org.eclipse.emf.ecore.resource.ResourceSet" serializeable="false"

    - #### getURI

          org.eclipse.emf.ecore.EDataType getURI()

      Returns the meta object for data type '`URI`'.
      Returns:
        the meta object for data type 'URI'.
      See Also:
        `URI`
      Generated
      Model
        instanceClass="org.eclipse.emf.common.util.URI"

    - #### getDiagnostic

          org.eclipse.emf.ecore.EDataType getDiagnostic()

      Returns the meta object for data type '`Diagnostic`'.
      Returns:
        the meta object for data type 'Diagnostic'.
      See Also:
        `Resource.Diagnostic`
      Generated
      Model
        instanceClass="org.eclipse.emf.ecore.resource.Resource$Diagnostic" serializeable="false"

    - #### getEresourceFactory

          EresourceFactory getEresourceFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated